Package com.logicaldoc.core.communication

# Class EventCollector

java.lang.Object
com.logicaldoc.core.communication.EventCollector

@Component("eventCollector") public class EventCollector extends Object
A collector of events that can distribute them to a set of listeners

Since:
  7.7.1
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`EventCollector()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(EventListener listener)`
`static EventCollector`
`get()`
`static boolean`
`isEnabled()`
`void`
`newEvent(History history)`
Notifies all the listeners in another thread
`void`
`removeListener(EventListener listener)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EventCollector

public EventCollector()

## Method Details

### get

public static EventCollector get()

### addListener

public void addListener(EventListener listener)

### removeListener

public void removeListener(EventListener listener)

### newEvent

public void newEvent(History history)
Notifies all the listeners in another thread

Parameters:
  `history` - the history to notify

### isEnabled

public static boolean isEnabled()